# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

- Add support for python 3.13
- Full linux/macos arm/intel support via github, except python 3.8 on macos arm
- Drop Cirrus CI
- black + isort -> ruff
- fix mergify configuration

## [0.6.0] - 2024-01-23

- CI: use pypi-publish

## [0.5.7] - 2024-01-03

- fix changelog

## [0.5.6] - 2024-01-03

- ci: fix artifact releases

## [0.5.5] - 2024-01-03

- update CI

## [0.5.4] - 2023-11-15

- fix changelog
- update CMake submodule
- use CMake submodule for releases
- update CI

## [0.4.14] - 2023-05-03

## [0.4.12] - 2023-01-31

## [0.4.11] - 2023-01-31

## [0.4.10] - 2023-01-30

## [0.4.9] - 2023-01-30

## [0.4.8] - 2023-01-30

## [0.4.7] - 2023-01-24

## [0.4.6] - 2023-01-24

## [0.4.5] - 2022-12-30

## [0.4.4] - 2022-09-26

- fix PyPy releases

## [0.4.3] - 2022-09-26

- ci: release: separate builds in different jobs

## [0.4.2] - 2022-09-22

## [0.4.1] - 2022-09-22

- fix classifiers

## [0.4.0] - 2022-09-22

- define ORIGIN for RPATH
- add metadata

## [0.3.5] - 2022-09-14

- define ORIGIN for RPATH

## [0.3.4] - 2022-09-14

- fix RPATH on OS X

## [0.3.3] - 2022-08-10

- fix upload on Github

## [0.3.2] - 2022-08-10

- fix upload on PyPI

## [0.3.1] - 2022-08-10

- debug

## [0.3.0] - 2022-08-10

- test on macOS X
- release wheels with cibuildwheel for:
    - CPython 3.8, 3.9, 3.10 / pypy 3.8, 3.9
    - ManyLinux 2.28 (x86_64, aarch64, ppc64le) & 2.17 (i686, s390x)
    - MuslLinux 1.1 x86_64, aarch64, ppc64le, i686, s390x
    - macOS X x86_64, universal2

## [0.2.3] - 2022-07-30

- don't let pybind11 set PYTHON_EXECUTABLE

## [0.2.2] - 2022-07-30

- fix soabi
- revert isolation for x86_64

## [0.2.1] - 2022-07-30

- setup github-actions for dependabot

## [0.2.0] - 2022-07-29

- add multiarch support for aarch64, ppc64le, s390x

## [0.1.19] - 2022-07-29

- fix Gitlab CD

## [0.1.18] - 2022-07-29

- clean Gitlab CD

## [0.1.17] - 2022-07-29

- clean Gitlab CD

## [0.1.16] - 2022-07-29

- clean Github CD
- debug Gitlab CD

## [0.1.15] - 2022-07-29

- debug

## [0.1.14] - 2022-07-29

- debug

## [0.1.13] - 2022-07-29

- debug

## [0.1.12] - 2022-07-29

- debug

## [0.1.11] - 2022-07-29

- debug

## [0.1.10] - 2022-07-29

- fix release artifacts

## [0.1.9] - 2022-07-29

- fix release artifacts

## [0.1.8] - 2022-07-29

- fix release artifacts

## [0.1.7] - 2022-07-29

- fix release

## [0.1.6] - 2022-07-29

- fix release

## [0.1.5] - 2022-07-29

- improve release

## [0.1.4] - 2022-07-29

- fix release

## [0.1.3] - 2022-07-29

- fix release

## [0.1.2] - 2022-07-29

- fix release

## [0.1.1] - 2022-07-29

- Move to cmake-wheel org
- add cmake-format to pre-commit
- fix release

## [0.1.0] - 2022-04-20

- Initial minial working example

[Unreleased]: https://github.com/cmake-wheel/cmeel-example/compare/v0.6.0...HEAD
[0.6.0]: https://github.com/cmake-wheel/cmeel-example/compare/v0.5.7...v0.6.0
[0.5.7]: https://github.com/cmake-wheel/cmeel-example/compare/v0.5.6...v0.5.7
[0.5.6]: https://github.com/cmake-wheel/cmeel-example/compare/v0.5.5...v0.5.6
[0.5.5]: https://github.com/cmake-wheel/cmeel-example/compare/v0.5.4...v0.5.5
[0.5.4]: https://github.com/cmake-wheel/cmeel-example/compare/v0.4.14...v0.5.4
[0.4.14]: https://github.com/cmake-wheel/cmeel-example/compare/v0.4.12...v0.4.14
[0.4.12]: https://github.com/cmake-wheel/cmeel-example/compare/v0.4.11...v0.4.12
[0.4.11]: https://github.com/cmake-wheel/cmeel-example/compare/v0.4.10...v0.4.11
[0.4.10]: https://github.com/cmake-wheel/cmeel-example/compare/v0.4.9...v0.4.10
[0.4.9]: https://github.com/cmake-wheel/cmeel-example/compare/v0.4.8...v0.4.9
[0.4.8]: https://github.com/cmake-wheel/cmeel-example/compare/v0.4.7...v0.4.8
[0.4.7]: https://github.com/cmake-wheel/cmeel-example/compare/v0.4.6...v0.4.7
[0.4.6]: https://github.com/cmake-wheel/cmeel-example/compare/v0.4.5...v0.4.6
[0.4.5]: https://github.com/cmake-wheel/cmeel-example/compare/v0.4.4...v0.4.5
[0.4.4]: https://github.com/cmake-wheel/cmeel-example/compare/v0.4.3...v0.4.4
[0.4.3]: https://github.com/cmake-wheel/cmeel-example/compare/v0.4.2...v0.4.3
[0.4.2]: https://github.com/cmake-wheel/cmeel-example/compare/v0.4.1...v0.4.2
[0.4.1]: https://github.com/cmake-wheel/cmeel-example/compare/v0.4.0...v0.4.1
[0.4.0]: https://github.com/cmake-wheel/cmeel-example/compare/v0.3.5...v0.4.0
[0.3.5]: https://github.com/cmake-wheel/cmeel-example/compare/v0.3.4...v0.3.5
[0.3.4]: https://github.com/cmake-wheel/cmeel-example/compare/v0.3.3...v0.3.4
[0.3.3]: https://github.com/cmake-wheel/cmeel-example/compare/v0.3.2...v0.3.3
[0.3.2]: https://github.com/cmake-wheel/cmeel-example/compare/v0.3.1...v0.3.2
[0.3.1]: https://github.com/cmake-wheel/cmeel-example/compare/v0.3.0...v0.3.1
[0.3.0]: https://github.com/cmake-wheel/cmeel-example/compare/v0.2.3...v0.3.0
[0.2.3]: https://github.com/cmake-wheel/cmeel-example/compare/v0.2.2...v0.2.3
[0.2.2]: https://github.com/cmake-wheel/cmeel-example/compare/v0.2.1...v0.2.2
[0.2.1]: https://github.com/cmake-wheel/cmeel-example/compare/v0.2.0...v0.2.1
[0.2.0]: https://github.com/cmake-wheel/cmeel-example/compare/v0.1.19...v0.2.0
[0.1.19]: https://github.com/cmake-wheel/cmeel-example/compare/v0.1.18...v0.1.19
[0.1.18]: https://github.com/cmake-wheel/cmeel-example/compare/v0.1.17...v0.1.18
[0.1.17]: https://github.com/cmake-wheel/cmeel-example/compare/v0.1.16...v0.1.17
[0.1.16]: https://github.com/cmake-wheel/cmeel-example/compare/v0.1.15...v0.1.16
[0.1.15]: https://github.com/cmake-wheel/cmeel-example/compare/v0.1.14...v0.1.15
[0.1.14]: https://github.com/cmake-wheel/cmeel-example/compare/v0.1.13...v0.1.14
[0.1.13]: https://github.com/cmake-wheel/cmeel-example/compare/v0.1.12...v0.1.13
[0.1.12]: https://github.com/cmake-wheel/cmeel-example/compare/v0.1.11...v0.1.12
[0.1.11]: https://github.com/cmake-wheel/cmeel-example/compare/v0.1.10...v0.1.11
[0.1.10]: https://github.com/cmake-wheel/cmeel-example/compare/v0.1.9...v0.1.10
[0.1.9]: https://github.com/cmake-wheel/cmeel-example/compare/v0.1.8...v0.1.9
[0.1.8]: https://github.com/cmake-wheel/cmeel-example/compare/v0.1.7...v0.1.8
[0.1.7]: https://github.com/cmake-wheel/cmeel-example/compare/v0.1.6...v0.1.7
[0.1.6]: https://github.com/cmake-wheel/cmeel-example/compare/v0.1.5...v0.1.6
[0.1.5]: https://github.com/cmake-wheel/cmeel-example/compare/v0.1.4...v0.1.5
[0.1.4]: https://github.com/cmake-wheel/cmeel-example/compare/v0.1.3...v0.1.4
[0.1.3]: https://github.com/cmake-wheel/cmeel-example/compare/v0.1.2...v0.1.3
[0.1.2]: https://github.com/cmake-wheel/cmeel-example/compare/v0.1.1...v0.1.2
[0.1.1]: https://github.com/cmake-wheel/cmeel-example/compare/v0.1.0...v0.1.1
[0.1.0]: https://github.com/cmake-wheel/cmeel-example/releases/tag/v0.1.0
